# cabal2spec-0.25
# https://fedoraproject.org/wiki/Packaging:Haskell
# https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name unlambda

%global common_summary An interpreter of the Unlambda language

%global common_description An interpreter of the Unlambda language,\
 written in the pure, lazy, functional language Haskell.

Name:           %{pkg_name}
Version:        0.1.2
Release:        1%{?dist}
Summary:        Haskell interpreter of the Unlambda language

Group:          Development/Tools
License:        GPLv2
# BEGIN cabal2spec
URL:            http://hackage.haskell.org/package/%{name}
Source0:        http://hackage.haskell.org/packages/archive/%{name}/%{version}/%{name}-%{version}.tar.gz
Patch0:         unlambda-0.1.2-FSF-license-fix.patch
ExclusiveArch:  %{ghc_arches}
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros %{!?without_hscolour:hscolour}
# END cabal2spec

BuildRequires:  ghc-array-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-unix-devel

%description
%{common_description}

%prep
%setup -q
%patch0 -p1
iconv -f iso8859-1 -t utf-8 Language/Unlambda.hs > Language/Unlambda.conv && mv -f Language/Unlambda.conv Language/Unlambda.hs

%build
%ghc_lib_build

%install
%ghc_lib_install

# library subpackage
%ghc_package

%ghc_description

# devel subpackage
%ghc_devel_package

%ghc_devel_description

%ghc_devel_post_postun

%files
%doc LICENSE
%attr(755,root,root) %{_bindir}/%{name}

%ghc_files LICENSE

%changelog
* Fri Oct 26 2012 Shakthi Kannan <shakthimaan [AT] fedoraproject dot org> - 0.1.2-1
- Updated to new upstream release 0.1.2

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jun 19 2012 Shakthi Kannan <shakthimaan [AT] fedoraproject dot org> - 0.1-2
- Added patch to fix FSF address.

* Fri Jun 08 2012 Shakthi Kannan <shakthimaan [AT] fedoraproject dot org> - 0.1-1
- Added iconv to convert Unlambda.hs to utf-8.
- Added BRs.
- Spec file template generated by cabal2spec-0.25.5
